ports/80658: [MAINTAINER] databases/firebird-devel: update to 2.0.a2

Renato Botelho freebsd at galle.com.br
Thu May 5 13:10:01 UTC 2005


>Number:         80658
>Category:       ports
>Synopsis:       [MAINTAINER] databases/firebird-devel: update to 2.0.a2
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Thu May 05 13:10:01 GMT 2005
>Closed-Date:
>Last-Modified:
>Originator:     Renato Botelho
>Release:        FreeBSD 5.3-RELEASE-p9 i386
>Organization:
Galle Folheados - http://www.galle.com.br
>Environment:
System: FreeBSD data.galle.com.br 5.3-RELEASE-p9 FreeBSD 5.3-RELEASE-p9 #9: Fri Apr 15 07:52:00 BRST 2005
>Description:
- Update to 2.0.a2
- Move pkg-install to files/pkg-install.in and add it to SUB_FILES, I did it to use LOCALBASE macro
- Change $InstallPrefix/etc to ${LOCALBASE}/etc to fix rc.d script instalation

Added file(s):
- files/pkg-install.in

Generated with FreeBSD Port Tools 0.63
>How-To-Repeat:
>Fix:

--- firebird-devel-2.0.a2.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/firebird-devel/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- Makefile	3 May 2005 11:21:49 -0000	1.29
+++ Makefile	5 May 2005 13:06:24 -0000
@@ -6,14 +6,14 @@
 #
 
 PORTNAME=	firebird
-PORTVERSION=	2.0.a1
+PORTVERSION=	2.0.a2
 CATEGORIES=	databases
 MASTER_SITES=	http://www.ramenzoni.com.br/~garga/firebird/ \
 		http://www.galle.com.br/~renato/firebird/ \
 		http://www.brainsoft.com.br/~garga/firebird/
 MASTER_SITE_SUBDIR=	firebird
 PKGNAMESUFFIX=	-devel
-DISTNAME=	firebird2-20050327
+DISTNAME=	firebird2-20050505
 
 MAINTAINER=	freebsd at galle.com.br
 COMMENT=	The open-source InterBase(tm) 6.0 spin-off (Classic version)
@@ -24,14 +24,16 @@
 WANT_AUTOCONF_VER=	259
 GNU_CONFIGURE=		yes
 USE_GCC=		3.4
+USE_REINPLACE=		yes
 
 CONFLICTS=	firebird-1.*
 
 WRKSRC=		${WRKDIR}/firebird2
 INSTALLS_SHLIB=	yes
 LDCONFIG_DIRS=	%%PREFIX%%/firebird/lib
-SUB_FILES=	pkg-message
+SUB_FILES=	pkg-message pkg-install
 PKGMESSAGE=	${WRKDIR}/pkg-message
+PKGINSTALL=	${WRKDIR}/pkg-install
 
 ONLY_FOR_ARCHS=	i386
 
@@ -55,6 +57,10 @@
 	@sleep 10
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} 's,InstallPrefix/etc,${LOCALBASE}/etc,g' \
+		${WRKSRC}/builds/install/arch-specific/freebsd/install.sh.in
+
 do-configure:
 	@(cd ${WRKSRC} && ${ENV} CC=${CC} CXX=${CXX} MAKE=${GMAKE}	\
 	${AUTOTOOLS_VARS} ./autogen.sh --prefix=${PREFIX}/firebird	\
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/databases/firebird-devel/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- distinfo	11 Apr 2005 19:25:43 -0000	1.6
+++ distinfo	5 May 2005 13:06:24 -0000
@@ -1,2 +1,2 @@
-MD5 (firebird2-20050327.tar.bz2) = 93996c74033f0efa180527e69f45196a
-SIZE (firebird2-20050327.tar.bz2) = 4321529
+MD5 (firebird2-20050505.tar.bz2) = 26a666ffb3a0499e6bd8e1a87ebc4ad5
+SIZE (firebird2-20050505.tar.bz2) = 4341875
Index: files/pkg-install.in
===================================================================
RCS file: files/pkg-install.in
diff -N files/pkg-install.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/pkg-install.in	5 May 2005 13:06:25 -0000
@@ -0,0 +1,145 @@
+#!/bin/sh
+
+# $FreeBSD: ports/databases/firebird-devel/pkg-install,v 1.8 2005/05/01 09:26:40 sem Exp $
+
+PATH=/bin:/usr/bin:/usr/sbin
+
+case $2 in
+PRE-INSTALL)
+
+if [ `id -u` -ne 0 ]; then
+	echo; echo "You must be root to run this step!"; echo; echo
+  exit 1
+fi
+
+nofbuid=0
+fbUID=`id -u firebird 2>/dev/null`
+if [ $? -ne 0 ]; then
+	fbUID=90
+	while [ ! -z `id -un $fbUID 2>/dev/null` ]
+	do
+		fbUID=$(($fbUID+1))
+	done
+	nofbuid=1
+fi
+
+fbGID=`pw groupshow firebird 2>/dev/null`
+if [ $? -ne 0 ]; then
+	fbGID=90
+	while [ ! -z `id -gn $fbGID 2>/dev/null` ]
+	do
+		fbGID=$(($fbGID+1))
+	done
+	echo "firebird:*:$fbGID:" >> /etc/group
+else
+	fbGID=`echo $fbGID | awk -F: '{print $3}'`
+fi
+
+echo "firebird user using uid $fbUID"
+echo "firebird user using gid $fbGID"
+
+if which -s pw; then
+	if [ $nofbuid -ne 0 ]; then
+		pw useradd firebird -u $fbUID -g $fbGID -h - -s /bin/sh \
+		-d $PKG_PREFIX/firebird -c "Firebird Database Administrator"
+	fi
+else
+	echo -n "unable to create user firebird - please create it manually,"
+	echo " before reinstalling this package."
+	exit 1
+fi
+;;
+
+POST-INSTALL)
+chown -R firebird:firebird $PKG_PREFIX/firebird
+chmod -R o= $PKG_PREFIX/firebird
+
+# Now fix up the mess.
+
+# fix up directories
+for i in `find $PKG_PREFIX/firebird -print`
+do
+	FileName=$i
+	if [ -d $FileName ]; then
+		chmod u=rwx,go=rx $FileName
+	fi
+done
+
+# make lib ldconfig-compatible
+chown -R root:wheel $PKG_PREFIX/firebird/lib
+
+# make the following read-only
+chmod -R a=r $PKG_PREFIX/firebird/WhatsNew
+for i in `find $PKG_PREFIX/firebird/doc -type f -print`
+do
+	chmod a=r $i
+done
+#chmod -R a=r $PKG_PREFIX/firebird/examples/*
+chmod -R a=r $PKG_PREFIX/firebird/include/*
+chmod -R a=r $PKG_PREFIX/firebird/intl/*
+#chmod -R a=r $PKG_PREFIX/firebird/misc/*
+
+chmod -R ug=rx,o= $PKG_PREFIX/firebird/UDF/*
+chmod -R ug=rx,o= $PKG_PREFIX/firebird/intl/fbintl
+chmod -R a=rx $PKG_PREFIX/firebird/lib/*
+
+#cd $PKG_PREFIX/firebird/lib
+#ln -sf libfbembed.so libgds.so
+#ln -sf libfbembed.so.2 libgds.so.2
+
+cd $PKG_PREFIX/firebird/bin
+for i in `ls`
+do
+	chmod ug=rx,o= $i
+done
+
+chmod a=rx isql qli
+
+# SUID is needed for running server programs.
+for i in fb_lock_mgr gds_drop fb_inet_server
+do
+	if [ -f $i ]; then
+		chmod ug=rx,o= $i
+		chmod ug+s $i
+	fi
+done
+
+
+cd $PKG_PREFIX/firebird
+
+# Lock files
+
+for i in isc_init1 isc_lock1 isc_event1
+do
+	FileName=$i.`hostname`
+	touch $FileName
+	chmod uga=rw $FileName
+	chown firebird:firebird $FileName
+done
+
+touch firebird.log
+chown firebird:firebird firebird.log
+chmod ug=rw,o= firebird.log
+chmod a=r firebird.msg README
+chown root:wheel *.sample
+chmod ug=r,o= *.sample
+
+# make databases writable by firebird only
+# local database connections are not a good idea
+#chmod ug=rw,o= examples/*.fdb
+chmod ug=rw,o= help/*.fdb
+chmod ug=rw,o= security2.fdb
+
+chmod 444 aliases.conf firebird.conf
+chmod 660 security2.fdb
+
+# shared lib startup script
+if [ -d $PKG_PREFIX/etc/rc.d ]; then
+	(
+	echo "#!/bin/sh"; echo "[ -d $PKG_PREFIX/firebird/lib ] && /sbin/ldconfig -m $PKG_PREFIX/firebird/lib"
+	) > %%LOCALBASE%%/etc/rc.d/000.firebird.sh
+  chmod a=rx %%LOCALBASE%%/etc/rc.d/000.firebird.sh
+fi
+;;
+
+esac
--- firebird-devel-2.0.a2.patch ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list